-- Bug 475891 - [Satellite 5.0.2/5.1.1] RHN Snapshot rollback & pkg syncs
-- throw Internal Server Error caused by missing upgrade scripts from
-- sat-2.5->2.6 timeframe

-- alter table rhnTransactionPackage modify package_arch_id null
-- and catch ORA-01451: column to be modified to null cannot be modified to null
-- in case the columns already allows null values.

declare
    null_column_modified_to_null exception;
    pragma exception_init(null_column_modified_to_null, -1451);
begin
    execute immediate 'alter table rhnTransactionPackage modify package_arch_id null';
exception
    when null_column_modified_to_null then
        null;
end;
/
